<nb-card>
  <nb-card-header>
   Edit profile
  </nb-card-header>
  <nb-card-body [nbSpinner]="loading" nbSpinnerMessage="Saving...">
    <form [formGroup]="form">
      <div class="form-group">
        <label class="label" for="username">Username:</label>
        <input id="username" class="form-control" fullWidth nbInput formControlName="username" [ngClass]="{'is-invalid': hasError('username')}"/>

        <div class="invalid-feedback mt-2" *ngIf="hasError('username')">
          <span *ngIf="form.controls.username.errors.required">Field is required</span>
          <span *ngIf="form.controls.username.errors.minlength">Min. length is 5</span>
          <span *ngIf="form.controls.username.errors.maxlength">Max. length is 30</span>
          <span *ngIf="form.controls.username.errors.pattern">Only letters</span>
        </div>
      </div>
      <div class="form-group">
        <label class="label">Select avatar:</label>
        <div class="avatars">
          <div *ngFor="let avatar of avatars"
               class="avatar"
               [ngClass]="{'selected': avatar.name === selectedAvatar}"
               (click)="selectAvatar(avatar.name)">
            <img alt="Avatar" [src]="avatar.path"/>
          </div>
        </div>
      </div>
    </form>
  </nb-card-body>
  <nb-card-footer class="d-flex justify-content-between">
    <button nbButton ghost status="warning" (click)="cancel()">Cancel</button>
    <button nbButton ghost status="success" (click)="save()" [disabled]="!form.valid">Save</button>
  </nb-card-footer>
</nb-card>
